Bug 246056 - irq 11: nobody cared; DIsabling IRQ #11. Irqpoll helps.
irq 11: nobody cared; DIsabling IRQ #11. Irqpoll helps.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
: 310341 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-28 03:12 EDT by Pekka Savola
Modified: 2009-01-09 02:09 EST (History)
4 users (show)

See Also:
Fixed In Version: kernel-2.6.22-5.76.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:09:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
dmesg with irqpoll enabled. (23.95 KB, text/plain)
2007-06-28 03:12 EDT, Pekka Savola
no flags Details
dmesg without irqpoll. (21.64 KB, text/plain)
2007-06-28 03:13 EDT, Pekka Savola
no flags Details
lspci -vv output (with irqpoll enabled) (8.48 KB, text/plain)
2007-06-28 03:17 EDT, Pekka Savola
no flags Details
scsconfig.log for details of my soundcard (39.89 KB, text/plain)
2007-08-05 12:17 EDT, Dan Bolser
no flags Details

  None (edit)
Description Pekka Savola 2007-06-28 03:12:49 EDT
Description of problem:

On Thinkpad X30 running Fedora 7 with latest updates, kernel boot gives a
backtrace after "irq 11: nobody cared" message, resulting in IRQ 11 being
disabled.  Suggested use of "irqpoll" kernel parameter results in almost
identical backtrace and a warning that IRQ 11 is disabled.

Without irqpoll, services that use IRQ 11 (e.g., USB, built-in ethernet adapter)
do not work.  Eth0 module seems to work (e.g., link duplex is detected) but TX
and RX counters are all zero.  Plugging in USB devices (e.g., WLAN adapter)
doesn't result in any dmesg messages or the device appearing anywhere.

With irqpoll, devices appears to work OK despite the warning that IRQ 11 is
disabled.

The backtrace occurs at least with 75-80% of bootups.  Sometimes IRQ 11 (without
irqpoll) still works, but I haven't figured out whether there is correlation.

Similar results with both 2.6.21-1.3194.fc7 and 2.6.21-1.3228.fc7 kernel.
Latest FC6 kernels (prior to the upgrade from FC6 to FC7 in June 2007) worked
OK, though in another bug report (#240733) there was suspicion that the hardware
might be faulty.

The backtrace with irqpoll is:

hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
irq 11: nobody cared (try booting with the "irqpoll" option)
 [<c0452a3e>] __report_bad_irq+0x36/0x75
 [<c0452c1c>] note_interrupt+0x19f/0x1db
 [<c0453562>] handle_level_irq+0x95/0xc7
 [<c04534cd>] handle_level_irq+0x0/0xc7
 [<c04072bb>] do_IRQ+0xac/0xd1
 [<c042399c>] run_rebalance_domains+0x6a/0x335
 [<c04058ff>] common_interrupt+0x23/0x28
 [<c042b2dc>] __do_softirq+0x54/0xba
 [<c04071b7>] do_softirq+0x59/0xb1
 [<c04534cd>] handle_level_irq+0x0/0xc7
 [<c042b194>] irq_exit+0x38/0x6b
 [<c04072cc>] do_IRQ+0xbd/0xd1
 [<c04058ff>] common_interrupt+0x23/0x28
 [<c0601895>] _spin_unlock_irqrestore+0x8/0x9
 [<c0596986>] pci_conf1_write+0x99/0xa7
 [<c0508446>] acpi_os_write_pci_configuration+0x78/0x88
 [<c0513bb1>] acpi_ex_pci_config_space_handler+0x0/0x57
 [<c050cdd4>] acpi_ev_address_space_dispatch+0x168/0x1b5
 [<c0510d00>] acpi_ex_access_region+0x203/0x217
 [<c0513bb1>] acpi_ex_pci_config_space_handler+0x0/0x57
 [<c050cdd4>] acpi_ev_address_space_dispatch+0x168/0x1b5
 [<c0510e27>] acpi_ex_field_datum_io+0x113/0x1a7
 [<c0510d00>] acpi_ex_access_region+0x203/0x217
 [<c051121d>] acpi_ex_write_with_update_rule+0x12c/0x134
 [<c05114d8>] acpi_ex_insert_into_field+0x2b3/0x2bb
 [<c0510f64>] acpi_ex_extract_from_field+0xa9/0x236
 [<c050fa3c>] acpi_ex_write_data_to_field+0x22c/0x248
 [<c050826e>] acpi_os_release_object+0x5/0x8
 [<c0513ee6>] acpi_ex_store_object_to_node+0x72/0xab
 [<c0514082>] acpi_ex_store+0xeb/0x23d
 [<c050b4a6>] acpi_ds_create_operand+0x1ca/0x1d6
 [<c0511dc2>] acpi_ex_opcode_1A_1T_1R+0x3de/0x556
 [<c05125f2>] acpi_ex_resolve_operands+0x23d/0x577
 [<c050a521>] acpi_ds_exec_end_op+0xc2/0x3d1
 [<c0519541>] acpi_ps_append_arg+0x16/0x75
 [<c0518dad>] acpi_ps_complete_op+0x1c5/0x1d9
 [<c051933f>] acpi_ps_parse_loop+0x57e/0x737
 [<c05187c2>] acpi_ps_parse_aml+0x60/0x237
 [<c050c4ec>] acpi_ds_init_aml_walk+0xb4/0xfe
 [<c05199f0>] acpi_ps_execute_method+0x11b/0x1bb
 [<c0516d59>] acpi_ns_evaluate+0x9d/0xfc
 [<c051ad73>] acpi_rs_set_srs_method_data+0xcb/0xe7
 [<c051a718>] acpi_set_current_resources+0x2a/0x34
 [<c05226ff>] acpi_pci_link_set+0x103/0x1be
 [<c051ff6d>] acpi_bus_data_handler+0x0/0x1
 [<c05165b6>] acpi_get_data+0x4a/0x58
 [<c0522a0e>] acpi_pci_link_allocate_irq+0x125/0x1ea
 [<c0597a69>] pci_read+0x29/0x2e
 [<c0522ed8>] acpi_pci_allocate_irq+0x25/0x4d
 [<c0522cef>] acpi_pci_irq_lookup+0x3a/0x8e
 [<c0523009>] acpi_pci_irq_enable+0x8d/0x1dc
 [<c0522eb3>] acpi_pci_allocate_irq+0x0/0x4d
 [<c0597b31>] pcibios_enable_device+0x1f/0x21
 [<c04edcaf>] do_pci_enable_device+0x1f/0x34
 [<c04edce1>] pci_enable_device_bars+0x1d/0x2e
 [<c056eedc>] usb_hcd_pci_probe+0x3a/0x326
 [<c04ad459>] sysfs_create_link+0x128/0x13f
 [<c04e33a0>] kobject_get+0xf/0x13
 [<c04eff0b>] pci_device_probe+0x36/0x57
 [<c0552943>] really_probe+0xc6/0x14f
 [<c0552a10>] driver_probe_device+0x44/0xa5
 [<c0552b0a>] __driver_attach+0x0/0xa5
 [<c0552b7a>] __driver_attach+0x70/0xa5
 [<c0551f93>] bus_for_each_dev+0x37/0x59
 [<c05527c2>] driver_attach+0x16/0x18
 [<c0552b0a>] __driver_attach+0x0/0xa5
 [<c0552245>] bus_add_driver+0x5e/0x15f
 [<c04f005d>] __pci_register_driver+0x6b/0x97
 [<d003d07d>] uhci_hcd_init+0x7d/0xa8 [uhci_hcd]
 [<c04432a8>] sys_init_module+0x16c3/0x17fa
 [<c047555c>] do_sync_read+0xc7/0x10a
 [<c0471c4b>] kmem_cache_destroy+0x0/0x9e
 [<c0404f70>] syscall_call+0x7/0xb
 =======================
handlers:
[<c056169d>] (yenta_interrupt+0x0/0xb4)
[<c056169d>] (yenta_interrupt+0x0/0xb4)
[<c0566a92>] (usb_hcd_irq+0x0/0x4e)
[<c0566a92>] (usb_hcd_irq+0x0/0x4e)
Disabling IRQ #11

The backtrace without irqpoll is something like:

irq 11: nobody cared (try booting with the "irqpoll" option)
 [<c0452a3e>] __report_bad_irq+0x36/0x75
 [<c0452c1c>] note_interrupt+0x19f/0x1db
 [<c0566ab3>] usb_hcd_irq+0x21/0x4e
 [<c045210e>] handle_IRQ_event+0x1a/0x3f
 [<c0453562>] handle_level_irq+0x95/0xc7
 [<c04534cd>] handle_level_irq+0x0/0xc7
 [<c04072bb>] do_IRQ+0xac/0xd1
 [<c04058ff>] common_interrupt+0x23/0x28
 [<c042b2dc>] __do_softirq+0x54/0xba
 [<c04071b7>] do_softirq+0x59/0xb1
 [<c04534cd>] handle_level_irq+0x0/0xc7
 [<c042b194>] irq_exit+0x38/0x6b
 [<c04072cc>] do_IRQ+0xbd/0xd1
 [<c04058ff>] common_interrupt+0x23/0x28
 [<c046007b>] truncate_inode_pages_range+0x85/0x26e
 [<c046370d>] do_wp_page+0x258/0x3bc
 [<c0469f4e>] anon_vma_prepare+0x20/0xb5
 [<c045f793>] __pagevec_lru_add_active+0x82/0x8d
 [<c0464c42>] __handle_mm_fault+0x888/0x8f3
 [<c04678e8>] do_brk+0x151/0x1e5
 [<c0603093>] do_page_fault+0x20d/0x4d1
 [<c0602e86>] do_page_fault+0x0/0x4d1
 [<c0601a84>] error_code+0x7c/0x84
 [<c0600000>] __sched_text_start+0x570/0x89e
 =======================
handlers:
[<c056169d>] (yenta_interrupt+0x0/0xb4)
[<c056169d>] (yenta_interrupt+0x0/0xb4)
[<c0566a92>] (usb_hcd_irq+0x0/0x4e)
[<c0566a92>] (usb_hcd_irq+0x0/0x4e)
[<c0566a92>] (usb_hcd_irq+0x0/0x4e)
Disabling IRQ #11

Full dmesgs attached.

/proc/interrupts is substantially the same with or without irqpoll:

           CPU0
  0:      81661    XT-PIC-XT        timer
  1:        557    XT-PIC-XT        i8042
  2:          0    XT-PIC-XT        cascade
  6:          5    XT-PIC-XT        floppy
  7:          2    XT-PIC-XT        parport0
  8:          1    XT-PIC-XT        rtc
  9:      19910    XT-PIC-XT        acpi
 11:     100000    XT-PIC-XT        yenta, yenta, uhci_hcd:usb1, uhci_hcd:usb2,
uhci_hcd:usb3, fw_ohci, Intel 82801CA-ICH3, Intel 82801CA-ICH3 Modem, eth0
 12:        639    XT-PIC-XT        i8042
 14:       5039    XT-PIC-XT        libata
 15:          0    XT-PIC-XT        libata
NMI:          0
LOC:          0
ERR:          0
MIS:          0
Comment 1 Pekka Savola 2007-06-28 03:12:49 EDT
Created attachment 158096 [details]
dmesg with irqpoll enabled.
Comment 2 Pekka Savola 2007-06-28 03:13:37 EDT
Created attachment 158097 [details]
dmesg without irqpoll.
Comment 3 Pekka Savola 2007-06-28 03:17:06 EDT
Created attachment 158098 [details]
lspci -vv output (with irqpoll enabled)
Comment 4 Dan Bolser 2007-08-05 12:16:23 EDT
Similar problem, but related to my sound card in this case.

uname -a
Linux localhost.localdomain 2.6.22.1-41.fc7 #1 SMP Fri Jul 27 18:10:34 EDT 2007
i686 athlon i386 GNU/Linux

I run a HP pavilion 7965 ... not sure what the sound card is... perhaps its
listed in the dmesg output below?

One thing to note... The 

Message from syslogd@ at Sun Aug  5 17:38:14 2007 ...
localhost kernel: Disabling IRQ #17
Message from syslogd@ at Sun Aug  5 17:38:31 2007 ...

Only seems to occur when I am using the sound card (and only after about 10 mins
of use). Different applications are affected in different ways... audio from
flash in firefox gets 'stuck in a loop' constantly 'beeping' the last 1s of
sound. Sound from xmms just gets 'jumpy' - weird, but before the message from
syslogd, xmms does not skip, after the message xmms becomes skippy when I resize
windows / switch desktop etc. etc. 

When I boot with the 'irqpoll' option (as suggested by dmesg below, after 10
mins of audio my whole system crashes... total freeze up ... even caps-loc stops
having an effect on the kbd. When the system crashes I hear the beeping audio
described above (last 1s of audio repeating over and over).


dmesg
Linux version 2.6.22.1-41.fc7 (kojibuilder@xenbuilder4.fedora.phx.redhat.com)
(gcc version 4.1.2 20070502 (Red Hat 4.1.2-12)) #1 SMP Fri Jul 27 18:10:34 EDT 2007
BIOS-provided physical RAM map:
 BIOS-e820: 0000000000000000 - 000000000009f000 (usable)
 BIOS-e820: 000000000009f000 - 00000000000a0000 (reserved)
 BIOS-e820: 00000000000ce000 - 0000000000100000 (reserved)
 BIOS-e820: 0000000000100000 - 000000002fef0000 (usable)
 BIOS-e820: 000000002fef0000 - 000000002feff000 (ACPI data)
 BIOS-e820: 000000002feff000 - 000000002ff00000 (ACPI NVS)
 BIOS-e820: 000000002ff00000 - 0000000030000000 (usable)
 BIOS-e820: 00000000fffc0000 - 0000000100000000 (reserved)
0MB HIGHMEM available.
768MB LOWMEM available.
Using x86 segment limits to approximate NX protection
Entering add_active_range(0, 0, 196608) 0 entries of 256 used
Zone PFN ranges:
  DMA             0 ->     4096
  Normal       4096 ->   196608
  HighMem    196608 ->   196608
early_node_map[1] active PFN ranges
    0:        0 ->   196608
On node 0 totalpages: 196608
  DMA zone: 32 pages used for memmap
  DMA zone: 0 pages reserved
  DMA zone: 4064 pages, LIFO batch:0
  Normal zone: 1504 pages used for memmap
  Normal zone: 191008 pages, LIFO batch:31
  HighMem zone: 0 pages used for memmap
DMI present.
Using APIC driver default
ACPI: RSDP 000F7020, 0014 (r0 PTLTD )
ACPI: RSDT 2FEFA1C8, 0030 (r1 PTLTD    RSDT    6040000  LTP        0)
ACPI: FACP 2FEFA1F8, 0074 (r1 HP     BoraBora  6040000 PTL         1)
ACPI: DSDT 2FEFA26C, 4D1C (r1     HP  Bermuda  6040000 MSFT  100000D)
ACPI: FACS 2FEFFFC0, 0040
ACPI: APIC 2FEFEF88, 0050 (r1 PTLTD      APIC    6040000  LTP        0)
ACPI: BOOT 2FEFEFD8, 0028 (r1 PTLTD  $SBFTBL$  6040000  LTP        1)
ACPI: PM-Timer IO Port: 0x8008
ACPI: Local APIC address 0xfee00000
ACPI: LAPIC (acpi_id[0x00] lapic_id[0x09] enabled)
Processor #9 6:6 APIC version 16
ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
ACPI: IOAPIC (id[0x00] address[0xfec00000] gsi_base[0])
IOAPIC[0]: apic_id 0, version 17, address 0xfec00000, GSI 0-23
ACPI: INT_SRC_OVR (bus 0 bus_irq 0 global_irq 2 high edge)
ACPI: IRQ0 used by override.
ACPI: IRQ2 used by override.
ACPI: IRQ11 used by override.
Enabling APIC mode:  Flat.  Using 1 I/O APICs
Using ACPI (MADT) for SMP configuration information
Allocating PCI resources starting at 40000000 (gap: 30000000:cffc0000)
Built 1 zonelists.  Total pages: 195072
Kernel command line: ro root=LABEL=/ rhgb quiet
mapped APIC to ffffd000 (fee00000)
mapped IOAPIC to ffffc000 (fec00000)
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Initializing CPU#0
CPU 0 irqstacks, hard=c0790000 soft=c0770000
PID hash table entries: 4096 (order: 12, 16384 bytes)
Detected 1526.584 MHz processor.
Console: colour VGA+ 80x25
Dentry cache hash table entries: 131072 (order: 7, 524288 bytes)
Inode-cache hash table entries: 65536 (order: 6, 262144 bytes)
Memory: 771540k/786432k available (2105k kernel code, 14152k reserved, 1111k
data, 260k init, 0k highmem)
virtual kernel memory layout:
    fixmap  : 0xffc56000 - 0xfffff000   (3748 kB)
    pkmap   : 0xff800000 - 0xffc00000   (4096 kB)
    vmalloc : 0xf0800000 - 0xff7fe000   ( 239 MB)
    lowmem  : 0xc0000000 - 0xf0000000   ( 768 MB)
      .init : 0xc072a000 - 0xc076b000   ( 260 kB)
      .data : 0xc060e78e - 0xc0724504   (1111 kB)
      .text : 0xc0400000 - 0xc060e78e   (2105 kB)
Checking if this processor honours the WP bit even in supervisor mode... Ok.
SLUB: Genslabs=22, HWalign=32, Order=0-1, MinObjects=4, CPUs=1, Nodes=1
Calibrating delay using timer specific routine.. 3054.93 BogoMIPS (lpj=1527468)
Security Framework v1.0.0 initialized
SELinux:  Initializing.
SELinux:  Starting in permissive mode
selinux_register_security:  Registering secondary module capability
Capability LSM initialized as secondary
Mount-cache hash table entries: 512
CPU: After generic identify, caps: 0383fbff c1cbfbff 00000000 00000000 00000000
00000000 00000000
CPU: L1 I Cache: 64K (64 bytes/line), D cache 64K (64 bytes/line)
CPU: L2 Cache: 256K (64 bytes/line)
CPU: After all inits, caps: 0383f3ff c1cbfbff 00000000 00000420 00000000
00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
Compat vDSO mapped to ffffe000.
Checking 'hlt' instruction... OK.
SMP alternatives: switching to UP code
Freeing SMP alternatives: 14k freed
ACPI: Core revision 20070126
CPU0: AMD Athlon(tm) XP 1800+ stepping 02
Total of 1 processors activated (3054.93 BogoMIPS).
ENABLING IO-APIC IRQs
..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2=-1
Brought up 1 CPUs
sizeof(vma)=84 bytes
sizeof(page)=32 bytes
sizeof(inode)=336 bytes
sizeof(dentry)=132 bytes
sizeof(ext3inode)=488 bytes
sizeof(buffer_head)=56 bytes
sizeof(skbuff)=176 bytes
sizeof(task_struct)=1536 bytes
Time:  9:15:21  Date: 07/05/107
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: PCI BIOS revision 2.10 entry at 0xfd77e, last bus=1
PCI: Using configuration type 1
Setting up standard PCI resources
ACPI: Interpreter enabled
ACPI: (supports S0 S1 S4 S5)
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
PCI quirk: region 6800-687f claimed by vt82c686 HW-mon
PCI quirk: region 0400-040f claimed by vt82c686 SMB
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.PPB_._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 3 4 5 6 7 9 10 *11 14 15)
ACPI: PCI Interrupt Link [LNKB] (IRQs 3 4 5 6 7 9 10 11 14 15) *0, disabled.
ACPI: PCI Interrupt Link [LNKC] (IRQs 3 4 5 6 7 9 *10 11 14 15)
ACPI: PCI Interrupt Link [LNKD] (IRQs 3 4 5 6 7 *9 10 11 14 15)
ACPI: PCI Interrupt Link [LNKU] (IRQs 3 4 6 7 9 14 15) *0
ACPI: PCI Interrupt Link [LNKS] (IRQs 3 4 5 6 7 10 14 15) *0
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
ACPI: bus type pnp registered
ACPI Error (dsopcode-0548): Field [ALB2] at 120 exceeds Buffer [CRSA] size 104
(bits) [20070126]
ACPI Error (psparse-0537): Method parse/execution failed
[\_SB_.PCI0.PIB_.SIO0.LPT_._CRS] (Node efc14a38), AE_AML_BUFFER_LIMIT
ACPI Error (uteval-0236): Method execution failed
[\_SB_.PCI0.PIB_.SIO0.LPT_._CRS] (Node efc14a38), AE_AML_BUFFER_LIMIT
pnp: PnPACPI: METHOD_NAME__CRS failure for PNP0401
pnp: PnP ACPI: found 12 devices
ACPI: ACPI bus type pnp unregistered
usbcore: registered new interface driver usbfs
usbcore: registered new interface driver hub
usbcore: registered new device driver usb
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
NetLabel: Initializing
NetLabel:  domain hash size = 128
NetLabel:  protocols = UNLABELED CIPSOv4
NetLabel:  unlabeled traffic allowed by default
ACPI: RTC can wake from S4
pnp: 00:08: ioport range 0x4d0-0x4d1 has been reserved
pnp: 00:08: ioport range 0x8000-0x807f has been reserved
pnp: 00:08: ioport range 0x6800-0x687f has been reserved
pnp: 00:08: ioport range 0x400-0x40f has been reserved
pnp: 00:08: iomem range 0xfffc0000-0xffffffff could not be reserved
pnp: 00:08: iomem range 0xfff80000-0xfffbffff has been reserved
pnp: 00:08: iomem range 0xfee00000-0xfee00fff has been reserved
pnp: 00:08: iomem range 0xfec00000-0xfec00fff has been reserved
Time: tsc clocksource has been installed.
PCI: Failed to allocate mem resource #6:10000@f8000000 for 0000:01:05.0
PCI: Bridge: 0000:00:01.0
  IO window: disabled.
  MEM window: e1000000-e1ffffff
  PREFETCH window: f0000000-f7ffffff
NET: Registered protocol family 2
IP route cache hash table entries: 32768 (order: 5, 131072 bytes)
TCP established hash table entries: 131072 (order: 8, 1572864 bytes)
TCP bind hash table entries: 65536 (order: 7, 524288 bytes)
TCP: Hash tables configured (established 131072 bind 65536)
TCP reno registered
checking if image is initramfs... it is
Freeing initrd memory: 2831k freed
Simple Boot Flag at 0x36 set to 0x1
apm: BIOS not found.
audit: initializing netlink socket (disabled)
audit(1186305321.473:1): initialized
Total HugeTLB memory allocated, 0
VFS: Disk quotas dquot_6.5.1
Dquot-cache hash table entries: 1024 (order 0, 4096 bytes)
SELinux:  Registering netfilter hooks
ksign: Installing public key data
Loading keyring
- Added public key 511F5DD0680EFF29
- User ID: Red Hat, Inc. (Kernel Module GPG key)
io scheduler noop registered
io scheduler anticipatory registered
io scheduler deadline registered
io scheduler cfq registered (default)
PCI: Enabling Via external APIC routing
Boot video device is 0000:01:05.0
pci_hotplug: PCI Hot Plug PCI Core version: 0.5
isapnp: Scanning for PnP cards...
Switched to high resolution mode on CPU 0
isapnp: No Plug & Play device found
Generic RTC Driver v1.07
Non-volatile memory driver v1.2
Linux agpgart interface v0.102 (c) Dave Jones
agpgart: Detected AMD 761 chipset
agpgart: AGP aperture is 128M @ 0xe8000000
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing enabled
00:0a: ttyS0 at I/O 0x3f8 (irq = 4) is a 16550A
00:0b: ttyS1 at I/O 0x2f8 (irq = 3) is a 16550A
PCI: Enabling device 0000:00:0e.0 (0000 -> 0001)
ACPI: PCI Interrupt 0000:00:0e.0[A] -> GSI 17 (level, low) -> IRQ 16
RAMDISK driver initialized: 16 RAM disks of 16384K size 4096 blocksize
input: Macintosh mouse button emulation as /class/input/input0
PNP: PS/2 Controller [PNP0303:KBC] at 0x60,0x64 irq 1
PNP: PS/2 controller doesn't have AUX irq; using default 12
serio: i8042 KBD port at 0x60,0x64 irq 1
serio: i8042 AUX port at 0x60,0x64 irq 12
mice: PS/2 mouse device common for all mice
input: AT Translated Set 2 keyboard as /class/input/input1
usbcore: registered new interface driver hiddev
usbcore: registered new interface driver usbhid
drivers/hid/usbhid/hid-core.c: v2.6:USB HID core driver
TCP cubic registered
Initializing XFRM netlink socket
NET: Registered protocol family 1
NET: Registered protocol family 17
powernow-k8: Processor cpuid 662 not supported
Using IPI No-Shortcut mode
  Magic number: 3:60:272
drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
Freeing unused kernel memory: 260k freed
Write protecting the kernel read-only data: 858k
USB Universal Host Controller Interface driver v3.0
ACPI: PCI Interrupt Link [LNKU] enabled at IRQ 9
ACPI: PCI Interrupt 0000:00:04.2[D] -> Link [LNKU] -> GSI 9 (level, low) -> IRQ 9
uhci_hcd 0000:00:04.2: UHCI Host Controller
uhci_hcd 0000:00:04.2: new USB bus registered, assigned bus number 1
uhci_hcd 0000:00:04.2: irq 9, io base 0x00001420
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 2 ports detected
ACPI: PCI Interrupt 0000:00:04.3[D] -> Link [LNKU] -> GSI 9 (level, low) -> IRQ 9
uhci_hcd 0000:00:04.3: UHCI Host Controller
uhci_hcd 0000:00:04.3: new USB bus registered, assigned bus number 2
uhci_hcd 0000:00:04.3: irq 9, io base 0x00001440
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 2 ports detected
ohci_hcd: 2006 August 04 USB 1.1 'Open' Host Controller (OHCI) Driver
SCSI subsystem initialized
libata version 2.21 loaded.
usb 1-1: new low speed USB device using uhci_hcd and address 2
pata_via 0000:00:04.1: version 0.3.1
scsi0 : pata_via
scsi1 : pata_via
ata1: PATA max UDMA/100 cmd 0x000101f0 ctl 0x000103f6 bmdma 0x00011400 irq 14
ata2: PATA max UDMA/100 cmd 0x00010170 ctl 0x00010376 bmdma 0x00011408 irq 15
ata1.00: ATA-6: Maxtor 4D060H3, DAH017K0, max UDMA/100
ata1.00: 120069936 sectors, multi 16: LBA 
ata1.01: ATA-4: FUJITSU MPE3136AT, ED-03-04, max UDMA/66
ata1.01: 26688576 sectors, multi 16: LBA 
ata1.00: limited to UDMA/33 due to 40-wire cable
ata1.01: limited to UDMA/33 due to 40-wire cable
usb 1-1: configuration #1 chosen from 1 choice
ata1.00: configured for UDMA/33
ata1.01: configured for UDMA/33
input: Logitech USB Optical Mouse as /class/input/input2
input: USB HID v1.10 Mouse [Logitech USB Optical Mouse] on usb-0000:00:04.2-1
ata2.00: ATAPI: TOSHIBA DVD-ROM SD-M1502, 1816, max UDMA/33
ata2.01: ATAPI: Hewlett-Packard CD-Writer  cd16f, 1.1D, max UDMA/33
ata2.00: configured for UDMA/33
ata2.01: configured for UDMA/33
scsi 0:0:0:0: Direct-Access     ATA      Maxtor 4D060H3   DAH0 PQ: 0 ANSI: 5
sd 0:0:0:0: [sda] 120069936 512-byte hardware sectors (61476 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
sd 0:0:0:0: [sda] 120069936 512-byte hardware sectors (61476 MB)
sd 0:0:0:0: [sda] Write Protect is off
sd 0:0:0:0: [sda] Mode Sense: 00 3a 00 00
sd 0:0:0:0: [sda] Write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
 sda: sda1 sda2
sd 0:0:0:0: [sda] Attached SCSI disk
scsi 0:0:1:0: Direct-Access     ATA      FUJITSU MPE3136A ED-0 PQ: 0 ANSI: 5
sd 0:0:1:0: [sdb] 26688576 512-byte hardware sectors (13665 MB)
sd 0:0:1:0: [sdb] Write Protect is off
sd 0:0:1:0: [sdb] Mode Sense: 00 3a 00 00
sd 0:0:1:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
sd 0:0:1:0: [sdb] 26688576 512-byte hardware sectors (13665 MB)
sd 0:0:1:0: [sdb] Write Protect is off
sd 0:0:1:0: [sdb] Mode Sense: 00 3a 00 00
sd 0:0:1:0: [sdb] Write cache: enabled, read cache: enabled, doesn't support DPO
or FUA
 sdb: sdb1 sdb2
sd 0:0:1:0: [sdb] Attached SCSI disk
scsi 1:0:0:0: CD-ROM            TOSHIBA  DVD-ROM SD-M1502 1816 PQ: 0 ANSI: 5
scsi 1:0:1:0: CD-ROM            HP       CD-Writer cd16f  1.1D PQ: 0 ANSI: 5
EXT3-fs: INFO: recovery required on readonly filesystem.
EXT3-fs: write access will be enabled during recovery.
kjournald starting.  Commit interval 5 seconds
EXT3-fs: sdb2: orphan cleanup on readonly fs
ext3_orphan_cleanup: deleting unreferenced inode 1668168
EXT3-fs: sdb2: 1 orphan inode deleted
EXT3-fs: recovery complete.
EXT3-fs: mounted filesystem with ordered data mode.
audit(1186305334.108:2): enforcing=1 old_enforcing=0 auid=4294967295
security:  3 users, 6 roles, 1829 types, 81 bools, 1 sens, 1024 cats
security:  61 classes, 69524 rules
SELinux:  Completing initialization.
SELinux:  Setting up existing superblocks.
SELinux: initialized (dev sdb2, type ext3), uses xattr
SELinux: initialized (dev usbfs, type usbfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev debugfs, type debugfs), uses genfs_contexts
SELinux: initialized (dev selinuxfs, type selinuxfs), uses genfs_contexts
SELinux: initialized (dev mqueue, type mqueue), uses transition SIDs
SELinux: initialized (dev hugetlbfs, type hugetlbfs), uses genfs_contexts
SELinux: initialized (dev devpts, type devpts), uses transition SIDs
SELinux: initialized (dev inotifyfs, type inotifyfs), uses genfs_contexts
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
SELinux: initialized (dev futexfs, type futexfs), uses genfs_contexts
SELinux: initialized (dev anon_inodefs, type anon_inodefs), uses genfs_contexts
SELinux: initialized (dev pipefs, type pipefs), uses task SIDs
SELinux: initialized (dev sockfs, type sockfs), uses task SIDs
SELinux: initialized (dev cpuset, type cpuset), uses genfs_contexts
SELinux: initialized (dev proc, type proc), uses genfs_contexts
SELinux: initialized (dev bdev, type bdev), uses genfs_contexts
SELinux: initialized (dev rootfs, type rootfs), uses genfs_contexts
SELinux: initialized (dev sysfs, type sysfs), uses genfs_contexts
audit(1186305334.623:3): policy loaded auid=4294967295
sd 0:0:0:0: Attached scsi generic sg0 type 0
sd 0:0:1:0: Attached scsi generic sg1 type 0
scsi 1:0:0:0: Attached scsi generic sg2 type 5
scsi 1:0:1:0: Attached scsi generic sg3 type 5
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
sr0: scsi3-mmc drive: 48x/48x cd/rw xa/form2 cdda tray
Uniform CD-ROM driver Revision: 3.20
sr 1:0:0:0: Attached scsi CD-ROM sr0
sr1: scsi3-mmc drive: 40x/40x writer cd/rw xa/form2 cdda tray
sr 1:0:1:0: Attached scsi CD-ROM sr1
EDAC MC: Ver: 2.0.1 Jul 27 2007
parport_pc: VIA 686A/8231 detected
parport_pc: probing current configuration
parport_pc: Current parallel port base: 0x378
parport0: PC-style at 0x378 (0x778), irq 7 [PCSPP,TRISTATE]
parport_pc: VIA parallel port: io=0x378, irq=7
8139too Fast Ethernet driver 0.9.28
PCI: Enabling device 0000:00:12.0 (0000 -> 0003)
ACPI: PCI Interrupt 0000:00:12.0[A] -> GSI 17 (level, low) -> IRQ 16
eth0: RealTek RTL8139 at 0xf0880800, 00:e0:18:48:a4:a1, IRQ 16
eth0:  Identified 8139 chip type 'RTL-8139C'
PCI: Enabling device 0000:00:0f.0 (0010 -> 0012)
ACPI: PCI Interrupt 0000:00:0f.0[A] -> GSI 18 (level, low) -> IRQ 17
rtc_cmos 00:03: rtc core: registered rtc_cmos as rtc0
rtc0: alarms up to one year, y3k
firewire_ohci: Added fw-ohci device 0000:00:0f.0, OHCI version 1.0
8139cp: 10/100 PCI Ethernet driver v1.3 (Mar 22, 2004)
nvidia: module license 'NVIDIA' taints kernel.
firewire_core: created new fw device fw0 (0 config rom retries)
ACPI: PCI Interrupt 0000:01:05.0[A] -> GSI 16 (level, low) -> IRQ 18
NVRM: loading NVIDIA Linux x86 Kernel Module  1.0-9639  Mon Apr 16 20:20:06 PDT 2007
ACPI: PCI Interrupt Link [LNKS] enabled at IRQ 10
ACPI: PCI Interrupt 0000:00:04.5[C] -> Link [LNKS] -> GSI 10 (level, low) -> IRQ 10
PCI: Setting latency timer of device 0000:00:04.5 to 64
usbcore: registered new interface driver snd-usb-audio
loop: module loaded
lp0: using parport0 (interrupt-driven).
lp0: console ready
sonypi: Sony Programmable I/O Controller Driver v1.26.
SELinux: initialized (dev ramfs, type ramfs), uses genfs_contexts
NET: Registered protocol family 10
lo: Disabled Privacy Extensions
Mobile IPv6
agpgart: Found an AGP 2.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V2 device at 0000:00:00.0 into 4x mode
agpgart: Putting AGP V2 device at 0000:01:05.0 into 4x mode
No dock devices found.
input: Power Button (FF) as /class/input/input3
ACPI: Power Button (FF) [PWRF]
input: Power Button (CM) as /class/input/input4
ACPI: Power Button (CM) [PWRB]
device-mapper: ioctl: 4.11.0-ioctl (2006-10-12) initialised: dm-devel@redhat.com
device-mapper: multipath: version 1.0.5 loaded
EXT3 FS on sdb2, internal journal
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sda2, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev sda2, type ext3), uses xattr
kjournald starting.  Commit interval 5 seconds
EXT3 FS on sda1, internal journal
EXT3-fs: mounted filesystem with ordered data mode.
SELinux: initialized (dev sda1, type ext3), uses xattr
SELinux: initialized (dev tmpfs, type tmpfs), uses transition SIDs
Adding 2048248k swap on /dev/sdb1.  Priority:-1 extents:1 across:2048248k
SELinux: initialized (dev binfmt_misc, type binfmt_misc), uses genfs_contexts
ip6_tables: (C) 2000-2006 Netfilter Core Team
ip_tables: (C) 2000-2006 Netfilter Core Team
Netfilter messages via NETLINK v0.30.
nf_conntrack version 0.5.0 (6144 buckets, 49152 max)
eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
audit(1186305383.588:4): audit_pid=1879 old=0 by auid=4294967295
subj=system_u:system_r:auditd_t:s0
eth0: no IPv6 routers present
SELinux: initialized (dev rpc_pipefs, type rpc_pipefs), uses genfs_contexts
Bluetooth: Core ver 2.11
NET: Registered protocol family 31
Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.8
Bluetooth: L2CAP socket layer initialized
Bluetooth: RFCOMM socket layer initialized
Bluetooth: RFCOMM TTY layer initialized
Bluetooth: RFCOMM ver 1.8
Bluetooth: HIDP (Human Interface Emulation) ver 1.2
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
SELinux: initialized (dev autofs, type autofs), uses genfs_contexts
Bridge firewalling registered
virbr0: no IPv6 routers present
agpgart: Found an AGP 2.0 compliant device at 0000:00:00.0.
agpgart: Putting AGP V2 device at 0000:00:00.0 into 4x mode
agpgart: Putting AGP V2 device at 0000:01:05.0 into 4x mode
UDF-fs: No fileset found
irq 17: nobody cared (try booting with the "irqpoll" option)
 [<c0454942>] __report_bad_irq+0x36/0x75
 [<c0454b2f>] note_interrupt+0x1ae/0x1eb
 [<c045408a>] handle_IRQ_event+0x1a/0x3f
 [<c04552ad>] handle_fasteoi_irq+0x78/0x98
 [<c0407203>] do_IRQ+0xb8/0xd1
 [<c040592b>] common_interrupt+0x23/0x28
 [<f0a9ed26>] snd_via686_interrupt+0x1/0xc7 [snd_via82xx]
 [<c045408a>] handle_IRQ_event+0x1a/0x3f
 [<c0455299>] handle_fasteoi_irq+0x64/0x98
 [<c0455235>] handle_fasteoi_irq+0x0/0x98
 [<c04071f7>] do_IRQ+0xac/0xd1
 [<c0407bc4>] do_syscall_trace+0x2f/0xc2
 [<c040592b>] common_interrupt+0x23/0x28
 =======================
handlers:
[<f09cd8ae>] (irq_handler+0x0/0x19c [firewire_ohci])
Disabling IRQ #17
irq 10: nobody cared (try booting with the "irqpoll" option)
 [<c0454942>] __report_bad_irq+0x36/0x75
 [<c0454b2f>] note_interrupt+0x1ae/0x1eb
 [<f12b3395>] nv_kern_isr+0x52/0x66 [nvidia]
 [<c045408a>] handle_IRQ_event+0x1a/0x3f
 [<c04552ad>] handle_fasteoi_irq+0x78/0x98
 [<c0455235>] handle_fasteoi_irq+0x0/0x98
 [<c04071f7>] do_IRQ+0xac/0xd1
 [<c04399ed>] hrtimer_start+0xe6/0xf0
 [<c0403d1c>] default_idle+0x0/0x3e
 [<c040592b>] common_interrupt+0x23/0x28
 [<c0403d1c>] default_idle+0x0/0x3e
 [<c0403d48>] default_idle+0x2c/0x3e
 [<c04033c9>] cpu_idle+0x96/0xb7
 [<c072aa8e>] start_kernel+0x316/0x31e
 [<c072a227>] unknown_bootoption+0x0/0x202
 =======================
handlers:
[<f0a9ed25>] (snd_via686_interrupt+0x0/0xc7 [snd_via82xx])
Disabling IRQ #10
Comment 5 Dan Bolser 2007-08-05 12:17:22 EDT
Created attachment 160716 [details]
scsconfig.log for details of my soundcard

scsconfig.log for details of my soundcard
Comment 6 Michael Sheppard 2007-08-07 12:14:56 EDT
Similar issue, USB mouse is very sluggish and NetworkManager fails to connect to
wireless (bcm43xx_mac80211) and wired (b44). Only happens on 2.6.22.1-41.fc7
kernel. Started with 08.03.2007 updates. Unplugging and replugging mouse results
in no mouse being detected.
Comment 7 Chuck Ebbert 2007-08-07 17:31:47 EDT
(In reply to comment #0)
> /proc/interrupts is substantially the same with or without irqpoll:
> 
>            CPU0
>   0:      81661    XT-PIC-XT        timer
>   1:        557    XT-PIC-XT        i8042
>   2:          0    XT-PIC-XT        cascade
>   6:          5    XT-PIC-XT        floppy
>   7:          2    XT-PIC-XT        parport0
>   8:          1    XT-PIC-XT        rtc
>   9:      19910    XT-PIC-XT        acpi
>  11:     100000    XT-PIC-XT        yenta, yenta, uhci_hcd:usb1, uhci_hcd:usb2,
> uhci_hcd:usb3, fw_ohci, Intel 82801CA-ICH3, Intel 82801CA-ICH3 Modem, eth0
>  12:        639    XT-PIC-XT        i8042
>  14:       5039    XT-PIC-XT        libata
>  15:          0    XT-PIC-XT        libata
> NMI:          0
> LOC:          0
> ERR:          0
> MIS:          0

Why is the machine running in PC-XT mode? Does it have the latest BIOS installed?
Comment 8 Pekka Savola 2007-08-08 00:45:19 EDT
I don't know why it runs in such a mode.  The BIOS is latest available version.
 I use " acpi_sleep=s3_bios" kernel argument but that probably doesn't matter.
Comment 9 Michael Sheppard 2007-08-08 07:51:53 EDT
My machine is also in XT mode. This is a laptop about 1.5 years old, Dell.
Changing kernel args does not make any difference. irqpoll kernel arg helps but
not much.

           CPU0       
  0:     153725    XT-PIC-XT        timer
  1:        169    XT-PIC-XT        i8042
  2:          0    XT-PIC-XT        cascade
  7:       1358    XT-PIC-XT        Intel 82801DB-ICH4, Intel 82801DB-ICH4
Modem, eth0
  8:          0    XT-PIC-XT        rtc0
  9:          0    XT-PIC-XT        acpi
 11:      35043    XT-PIC-XT        yenta, uhci_hcd:usb1, uhci_hcd:usb2,
uhci_hcd:usb3, ehci_hcd:usb4, bcm43xx_mac80211, i915@pci:0000:00:02.0
 12:       1234    XT-PIC-XT        i8042
 14:       2645    XT-PIC-XT        libata
 15:      11932    XT-PIC-XT        libata
NMI:          0 
LOC:      70736 
ERR:          0
MIS:          0

I'm using kernel args: lapic pci=assign-busses
cat /proc/interrupts looks the same with or without these args. I'm currently
running 2.6.22.1-33.fc7 kernel, its the latest that works for me.
Comment 10 Christopher Brown 2007-09-17 15:29:35 EDT
Hello folks,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 11 Pekka Savola 2007-09-18 04:21:39 EDT
This seems to work on kernel-2.6.22-5.76.fc7.
Comment 12 Christopher Brown 2007-09-18 06:46:38 EDT
Okay, thanks for the report Pekka. I'm closing as CURRENTRELEASE.

Cheers
Chris
Comment 13 Pekka Savola 2007-10-15 04:51:52 EDT
Whoopsie! The same problem was re-introduced in 2.6.23-1.fc7.  It worked in
2.6.22.9.91.fc7.
Comment 14 Kevin R. Page 2007-11-26 18:22:02 EST
kernel-2.6.23.1-49.fc8, Thinkpad X61s laptop (Core 2 Duo L7500).

/proc/interrupts:
           CPU0       CPU1       
  0:     261267     229145   IO-APIC-edge      timer
  1:       6106         75   IO-APIC-edge      i8042
  8:          2          1   IO-APIC-edge      rtc
  9:         60       2177   IO-APIC-fasteoi   acpi
 12:      63364         73   IO-APIC-edge      i8042
 14:          0          0   IO-APIC-edge      libata
 15:          0          0   IO-APIC-edge      libata
 16:        364     245912   IO-APIC-fasteoi   uhci_hcd:usb3
 17:          0          0   IO-APIC-fasteoi   uhci_hcd:usb4
 18:          0          0   IO-APIC-fasteoi   yenta, uhci_hcd:usb5,
i915@pci:0000:00:02.0
 19:          1          2   IO-APIC-fasteoi   ehci_hcd:usb1
 20:      99348        653   IO-APIC-fasteoi   ehci_hcd:usb2
 21:        104        330   IO-APIC-fasteoi   uhci_hcd:usb6, firewire_ohci, HDA
Intel
 23:          0          0   IO-APIC-fasteoi   sdhci:slot0
219:      14232      12279   PCI-MSI-edge      eth0
220:      26017      24736   PCI-MSI-edge      iwl3945
221:       2542      42008   PCI-MSI-edge      ahci
NMI:          0          0 
LOC:     257807     269734 
ERR:          0
MIS:          0


Nov 26 22:47:57 localhost kernel: irq 20: nobody cared (try booting with the "ir
qpoll" option)
Nov 26 22:47:57 localhost kernel:  [<c045b106>] __report_bad_irq+0x36/0x75
Nov 26 22:47:57 localhost kernel:  [<c045b31c>] note_interrupt+0x1d7/0x213
Nov 26 22:47:57 localhost kernel:  [<c057ae21>] usb_hcd_irq+0x21/0x4e
Nov 26 22:47:57 localhost kernel:  [<c045a7a3>] handle_IRQ_event+0x23/0x51
Nov 26 22:47:57 localhost kernel:  [<c045baa7>] handle_fasteoi_irq+0x86/0xa6
Nov 26 22:47:57 localhost kernel:  [<c045ba21>] handle_fasteoi_irq+0x0/0xa6
Nov 26 22:47:57 localhost kernel:  [<c04074c3>] do_IRQ+0x8c/0xb9
Nov 26 22:47:57 localhost kernel:  [<f8964ed0>] scsi_prep_fn+0x1be/0x22b [scsi_mod]
Nov 26 22:47:57 localhost kernel:  [<c0405b6f>] common_interrupt+0x23/0x28
Nov 26 22:47:57 localhost kernel:  [<f896595b>] scsi_request_fn+0x259/0x338
[scsi_mod]
Nov 26 22:47:57 localhost kernel:  [<c04e7dae>] blk_remove_plug+0x60/0x6c
Nov 26 22:47:57 localhost kernel:  [<c04e7dd7>] __generic_unplug_device+0x1d/0x1f
Nov 26 22:47:57 localhost kernel:  [<c04e96e5>] __make_request+0x498/0x500
Nov 26 22:47:57 localhost kernel:  [<c04e6ef0>] generic_make_request+0x3e4/0x415
Nov 26 22:47:57 localhost kernel:  [<f88649cc>] kcryptd_do_work+0x2ec/0x30c
[dm_crypt]
Nov 26 22:47:57 localhost kernel:  [<c04041be>] __switch_to+0xcb/0x149
Nov 26 22:47:57 localhost kernel:  [<f88646e0>] kcryptd_do_work+0x0/0x30c [dm_crypt]
Nov 26 22:47:57 localhost kernel:  [<c043a4cb>] run_workqueue+0x7d/0x109
Nov 26 22:47:57 localhost kernel:  [<c043ad24>] worker_thread+0x0/0xc4
Nov 26 22:47:57 localhost kernel:  [<c043adde>] worker_thread+0xba/0xc4
Nov 26 22:47:57 localhost kernel:  [<c043d499>] autoremove_wake_function+0x0/0x35
Nov 26 22:47:57 localhost kernel:  [<c043d3d2>] kthread+0x38/0x5e
Nov 26 22:47:57 localhost kernel:  [<c043d39a>] kthread+0x0/0x5e
Nov 26 22:47:57 localhost kernel:  [<c0405dbb>] kernel_thread_helper+0x7/0x10
Nov 26 22:47:57 localhost kernel:  =======================
Nov 26 22:47:57 localhost kernel: handlers:
Nov 26 22:47:57 localhost kernel: [<c057ae00>] (usb_hcd_irq+0x0/0x4e)
Nov 26 22:47:57 localhost kernel: Disabling IRQ #20
Comment 15 Christopher Brown 2008-01-14 13:02:09 EST
*** Bug 310341 has been marked as a duplicate of this bug. ***
Comment 16 mohamed 2008-02-15 15:38:58 EST
I've got the same prob;em but on fedora 8 64bit.

i've detailed my problem in here
(http://forums.fedoraforum.org/forum/showthread.php?t=173700).

In summary i can SOMETIMES boot without acpi=off || irqpoll, sometimes the NIC
doesn't work. I am pretty sure that my NIC isn't busted either becaused if i
boot into vista straight after to check it automatically logs onto the net.



My exact hardware specs are;

Samsung SpinPoint T 500GB SATA-II 16MB Cache - OEM (HD501LJ
Samsung SpinPoint T 320GB SATA-II 16MB Cache - OEM (HD321KJ)
Corsair HX 520W ATX2.2 Modular SLI Compliant PSU (CMPSU-520HXUK)
Corsair 4GB DDR2 XMS2 PC2-6400C5 TwinX (2x2GB)
Intel Core 2 Quad Pro Q6600 "Energy Efficient SLACR 95W Edition" 2.40GHz
(1066FSB) - Retail
EVGA GeForce 8800 GTS "Crysis Edition" 512MB GDDR3 HDTV/Dual DVI (PCI-Express) -
Retail (512-P3-E841-AE-CrysisUK)
Thermalright Ultra-120 Extreme CPU Cooler (Socket AM2/LGA775)
Samsung SH-S203NRSMN 20x DVD±RW SATA Dual Layer Lightscribe ReWriter
(Beige/Black/Silver) - Retail
Abit IP35 (Socket 775) PCI-Express DDR2 Motherboard
Antec Solo Quiet Mini Tower Case - No PSU
Dell 22 inch Widescreen Flat Panel Display with built-in Webcam (SP2208WFP)
Auzentech X-Plosion DTS Connect 7.1 Sound Card – Retail 


Just for reference, the same thing happens in ubuntu but if i boot with acpi=off
and irqpoll the sound card is always detected unlike fedora where it's detected
only somtimes.  I hope this gets fixed before fedora 9.

Kernel no; 2.6.23.15-137.fc8.  I done a full system update about a day ago.


thanks for your time.
Comment 17 mohamed 2008-02-15 16:32:45 EST
I've got the same prob;em but on fedora 8 64bit.

i've detailed my problem in here
(http://forums.fedoraforum.org/forum/showthread.php?t=173700).

In summary i can SOMETIMES boot without acpi=off || irqpoll, sometimes the NIC
doesn't work. I am pretty sure that my NIC isn't busted either becaused if i
boot into vista straight after to check it automatically logs onto the net.



My exact hardware specs are;

Samsung SpinPoint T 500GB SATA-II 16MB Cache - OEM (HD501LJ
Samsung SpinPoint T 320GB SATA-II 16MB Cache - OEM (HD321KJ)
Corsair HX 520W ATX2.2 Modular SLI Compliant PSU (CMPSU-520HXUK)
Corsair 4GB DDR2 XMS2 PC2-6400C5 TwinX (2x2GB)
Intel Core 2 Quad Pro Q6600 "Energy Efficient SLACR 95W Edition" 2.40GHz
(1066FSB) - Retail
EVGA GeForce 8800 GTS "Crysis Edition" 512MB GDDR3 HDTV/Dual DVI (PCI-Express) -
Retail (512-P3-E841-AE-CrysisUK)
Thermalright Ultra-120 Extreme CPU Cooler (Socket AM2/LGA775)
Samsung SH-S203NRSMN 20x DVD±RW SATA Dual Layer Lightscribe ReWriter
(Beige/Black/Silver) - Retail
Abit IP35 (Socket 775) PCI-Express DDR2 Motherboard
Antec Solo Quiet Mini Tower Case - No PSU
Dell 22 inch Widescreen Flat Panel Display with built-in Webcam (SP2208WFP)
Auzentech X-Plosion DTS Connect 7.1 Sound Card – Retail 


Just for reference, the same thing happens in ubuntu but if i boot with acpi=off
and irqpoll the sound card is always detected unlike fedora where it's detected
only somtimes.  I hope this gets fixed before fedora 9.

Kernel no; 2.6.23.15-137.fc8.  I done a full system update about a day ago.


thanks for your time.
Comment 18 petrosyan 2008-02-18 02:21:45 EST
Kevin and Mohamed: upgrading to the latest BIOS from Lenovo (v2.07) fixes this bug.

Pekka, can you still reproduce this bug?
Comment 19 Pekka Savola 2008-02-18 03:15:42 EST
I am no longer seeing this problem on 2.6.23.15-137.fc8 kernel.  Hopefully it
stays that way..
Comment 20 Pekka Savola 2008-02-18 04:07:18 EST
Now the oopses are back, at least sometimes :-(

This _seems_ to be related to the fact whether I have network cable plugged in
during boot.  If I do, I often but not always get an oops (probably even before
the network driver is loaded, right after "Red Hat nash version 6.0.19
starting").  If I don't, I haven't yet seen an oops with this kernel and it
ususally works OK.

If there's an oops, later when the boot has finished, network interfaces just
don't work (e.g. wired ethernet link might come up but no packets are sent or
received; plugging in USB WLAN stick doesn't result in interface being created).

The oops is pretty much the same as before:

sd 0:0:0:0: [sda] Attached SCSI disk
irq 11: nobody cared (try booting with the "irqpoll" option)
 [<c045b15a>] __report_bad_irq+0x36/0x75
 [<c045b370>] note_interrupt+0x1d7/0x213
 [<c057b2a1>] usb_hcd_irq+0x21/0x4e
 [<c045a7f7>] handle_IRQ_event+0x23/0x51
 [<c045bc9f>] handle_level_irq+0x88/0xb9
 [<c045bc17>] handle_level_irq+0x0/0xb9
 [<c04074e7>] do_IRQ+0x8c/0xb9
 [<c0405b6f>] common_interrupt+0x23/0x28
 [<c0431dec>] __do_softirq+0x50/0xd3
 [<c04073f9>] do_softirq+0x6c/0xce
 [<c04818e3>] vfs_write+0x120/0x15a
 [<c045bc17>] handle_level_irq+0x0/0xb9
 [<c0431cc5>] irq_exit+0x38/0x6b
 [<c04074fa>] do_IRQ+0x9f/0xb9
 [<c0481e88>] sys_write+0x41/0x67
 [<c0405b6f>] common_interrupt+0x23/0x28
 =======================
handlers:
[<c057651c>] (yenta_interrupt+0x0/0xb4)
[<c057651c>] (yenta_interrupt+0x0/0xb4)
[<c057b280>] (usb_hcd_irq+0x0/0x4e)
[<c057b280>] (usb_hcd_irq+0x0/0x4e)
[<c057b280>] (usb_hcd_irq+0x0/0x4e)
Disabling IRQ #11
kjournald starting.  Commit interval 5 seconds
...


Comment 21 Chuck Ebbert 2008-02-20 13:58:12 EST
That is not an oops. Some unknown device is generating interrupts and the kernel
doesn't know what to do with them. Using the "noirqdebug" kernel option can work
around that problem.
Comment 22 Pekka Savola 2008-02-21 01:57:41 EST
Sorry if my terminology is wrong.  After I get that message, IRQ#11 related
things (network cards) no longer function, so it's more than just a warning message.

When I remove irqpoll and put in "noirqdebug" instead, I often (when I would
otherwise have gotten the IRQ backtrace?) get the following at boot:

BUG: soft lockup - CPU#0 stuck for 11s [insmod:428]

repeated over and over again (after Nash starting).

I suspect this is triggering under the same circumstances as the IRQ backtrace.
Comment 23 Bug Zapper 2008-11-26 02:22:30 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 jayeola 2008-12-02 16:30:15 EST
I'm having a similar problem with FC10. 

irq 11: nobody cared (try booting with the "irqpoll" option)
Pid: 1, comm: swapper Not tainted 2.6.27.5-117.fc10.i686 #1
 [<c0463984>] __report_bad_irq+0x2e/0x6f
 [<c0463b93>] note_interrupt+0x1ce/0x223
 [<c0463104>] ? handle_IRQ_event+0x5c/0x64
 [<c0464203>] handle_level_irq+0x88/0xbe
 [<c046417b>] ? handle_level_irq+0x0/0xbe
 [<c0405e3e>] do_IRQ+0xc7/0xfe
 [<c0404654>] common_interrupt+0x28/0x30
 [<c0430751>] ? __do_softirq+0x66/0x109
 [<c04306eb>] ? __do_softirq+0x0/0x109
 [<c0405eec>] do_softirq+0x77/0xdb
 [<c046417b>] ? handle_level_irq+0x0/0xbe
 [<c04303d6>] irq_exit+0x44/0x83
 [<c0405e5e>] do_IRQ+0xe7/0xfe
 [<c0404654>] common_interrupt+0x28/0x30
 [<c06a76be>] ? _spin_unlock_irqrestore+0x2d/0x38
 [<c046379e>] setup_irq+0x1ca/0x22d
 [<c05d0f36>] ? usb_hcd_irq+0x0/0xa3
 [<c04638ef>] request_irq+0xee/0x10c
 [<c05d192f>] usb_add_hcd+0x224/0x502
 [<c05da753>] usb_hcd_pci_probe+0x255/0x30e
 [<c05d192f>] usb_add_hcd+0x224/0x502
 [<c05da753>] usb_hcd_pci_probe+0x255/0x30e
 [<c05277b3>] pci_device_probe+0x39/0x59
 [<c05937d0>] driver_probe_device+0xa0/0x136
 [<c05938a0>] __driver_attach+0x3a/0x59
 [<c05931f6>] bus_for_each_dev+0x3b/0x63
 [<c0593675>] driver_attach+0x14/0x16
 [<c0593866>] ? __driver_attach+0x0/0x59
 [<c0592c6a>] bus_add_driver+0x9d/0x1ba
 [<c0593a27>] driver_register+0x81/0xe1
 [<c0527972>] __pci_register_driver+0x3f/0x6d
 [<c0839dd2>] uhci_hcd_init+0x71/0xa4
 [<c0401125>] _stext+0x3d/0x115
 [<c0839d61>] ? uhci_hcd_init+0x0/0xa4
 [<c04649dc>] ? register_irq_proc+0x92/0xae
 [<c0464a35>] ? init_irq_proc+0x3d/0x4a
 [<c0814362>] kernel_init+0x177/0x1c5
 [<c08141eb>] ? kernel_init+0x0/0x1c5
 [<c04048f7>] kernel_thread_helper+0x7/0x10
 =======================
handlers:
[<c05d0f36>] (usb_hcd_irq+0x0/0xa3)
Disabling IRQ #11
irq 11: nobody cared (try booting with the "irqpoll" option)
Pid: 1, comm: swapper Not tainted 2.6.27.5-117.fc10.i686 #1
 [<c0463984>] __report_bad_irq+0x2e/0x6f
 [<c0463b93>] note_interrupt+0x1ce/0x223
 [<c0463104>] ? handle_IRQ_event+0x5c/0x64
 [<c0464203>] handle_level_irq+0x88/0xbe
 [<c046417b>] ? handle_level_irq+0x0/0xbe
 [<c0405e3e>] do_IRQ+0xc7/0xfe
 [<c0404654>] common_interrupt+0x28/0x30
 [<c0430751>] ? __do_softirq+0x66/0x109
 [<c04306eb>] ? __do_softirq+0x0/0x109
 [<c0405eec>] do_softirq+0x77/0xdb
 [<c046417b>] ? handle_level_irq+0x0/0xbe
 [<c04303d6>] irq_exit+0x44/0x83
 [<c0405e5e>] do_IRQ+0xe7/0xfe
 [<c0404654>] common_interrupt+0x28/0x30
 [<c046007b>] ? alloc_chunk+0x14/0x5c
 [<c06a76be>] ? _spin_unlock_irqrestore+0x2d/0x38
 [<c046379e>] setup_irq+0x1ca/0x22d
 [<c05d0fbf>] ? usb_hcd_irq+0x89/0xa3
 [<c05d0f36>] ? usb_hcd_irq+0x0/0xa3
 [<c04638ef>] request_irq+0xee/0x10c
 [<c05d192f>] usb_add_hcd+0x224/0x502
 [<c05da753>] usb_hcd_pci_probe+0x255/0x30e
 [<c05277b3>] pci_device_probe+0x39/0x59
 [<c05937d0>] driver_probe_device+0xa0/0x136
 [<c05938a0>] __driver_attach+0x3a/0x59
 [<c05931f6>] bus_for_each_dev+0x3b/0x63
 [<c0593675>] driver_attach+0x14/0x16
 [<c0593866>] ? __driver_attach+0x0/0x59
 [<c0592c6a>] bus_add_driver+0x9d/0x1ba
 [<c0593a27>] driver_register+0x81/0xe1
 [<c0527972>] __pci_register_driver+0x3f/0x6d
 [<c0839dd2>] uhci_hcd_init+0x71/0xa4
 [<c0401125>] _stext+0x3d/0x115
 [<c0839d61>] ? uhci_hcd_init+0x0/0xa4
 [<c04649dc>] ? register_irq_proc+0x92/0xae
 [<c0464a35>] ? init_irq_proc+0x3d/0x4a
 [<c0814362>] kernel_init+0x177/0x1c5
 [<c08141eb>] ? kernel_init+0x0/0x1c5
 [<c0814362>] kernel_init+0x177/0x1c5
 [<c08141eb>] ? kernel_init+0x0/0x1c5
 [<c04048f7>] kernel_thread_helper+0x7/0x10
 =======================

IBM Thinkpad x30
Comment 25 Bug Zapper 2009-01-09 02:09:13 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.